<template>
  <div :class="playerContainerClass">
    <h4>{{ player.name }}</h4>

    <div v-if="isRolesAssigned && isToggleShow">
      <div>
        <h5>Team {{ player.team }}</h5>
        <p>{{ player.role }}</p>
      </div>
    </div>
  </div>
  <div class="showCard">
    <button @click="showCard(player.roleId)">Show Card</button>
  </div>
</template>

<script setup>
  import { computed, defineProps, defineEmits } from 'vue';
  const props = defineProps({
    player: {
      roleId: String,
      name: String,
      team: String,
      role: String
    },
    isRolesAssigned: Boolean,
    isToggleShow: Boolean,
  })
  const playerContainerBaseClass = 'player-container'
  const playerContainerClass = computed(() => props.isToggleShow ? `${playerContainerBaseClass} highlight-${props.player.team}` : playerContainerBaseClass)

  const emit = defineEmits(['showCard'])
  const showCard = (id) => {
    emit('showCard', id)
  }
</script>

<style scoped>

.highlight-blue {
  background-color: rgb(141 205 251);
}

.highlight-red {
  background-color: rgb(251, 141, 141);
}

.highlight-grey {
  background-color: rgb(180, 180, 180);
}

.player-container{
  display: flex;
  padding: 5px;
  justify-content: space-between;
  align-items: center;
}

h5, p{
  text-align: right;
}

/* TODO: Fix this */
.showCard {
  display: flex
}

button{
  display: block;
  margin: 0 auto;
  border: 0;
  padding: 10px;
  width: 100px;
  font-weight: bold;
  cursor: pointer;
}

button:hover{
  background-color: #0059b3;
  transition: all .5s ease;
  color: white;
}
</style>